<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CallTools API Integration</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <style>
        body {
            padding: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <h2 class="text-center">CallTools API Integration</h2>

                <?php
          
                
                $dbHost = "insuranceleadforge.com";
$dbUser = "insuranceleadfor_stats"; // Replace with your DB username
$dbPass = "CqdI#&s}s4zq"; // Replace with your DB password
$dbName = "insuranceleadfor_stats";


                // Connect to the database
                $conn = new mysqli($dbHost, $dbUser, $dbPass, $dbName);

                if ($conn->connect_error) {
                    die('<div class="alert alert-danger">Database connection failed: ' . $conn->connect_error . '</div>');
                }

                if ($_SERVER['REQUEST_METHOD'] === 'POST') {
                    $home_phone_number = $_POST['home_phone_number'] ?? '';
                    $imported_notes = $_POST['imported_notes'] ?? '';

                    // Save to database
                    $stmt = $conn->prepare("INSERT INTO calltools_contacts (home_phone_number, imported_notes) VALUES (?, ?)");
                    $stmt->bind_param("ss", $home_phone_number, $imported_notes);

                    if ($stmt->execute()) {
                        echo '<div class="alert alert-success">Data saved to the database successfully.</div>';
                    } else {
                        echo '<div class="alert alert-danger">Failed to save data to the database: ' . $stmt->error . '</div>';
                    }
                    $stmt->close();

                    // API URL and Token
                    $apiUrl = 'https://east-2.calltools.io/api/contacts/';
                    $apiToken = '9728bc4c46dac4f430e6ee7533c22ad7a280bb0b';

                    // Data to send in the request
                    $postData = [
                        'home_phone_number' => $home_phone_number,
                        'imported_notes' => $imported_notes
                    ];

                    // Initialize cURL
                    $ch = curl_init();
                    curl_setopt($ch, CURLOPT_URL, $apiUrl);
                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                    curl_setopt($ch, CURLOPT_POST, true);
                    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postData));
                    curl_setopt($ch, CURLOPT_HTTPHEADER, [
                        'Content-Type: application/json',
                        'Authorization: Token ' . $apiToken
                    ]);

                    // Execute the request
                    $response = curl_exec($ch);
                    $httpStatus = curl_getinfo($ch, CURLINFO_HTTP_CODE);





                    // Check for errors
                    if (curl_errno($ch)) {
                        echo '<div class="alert alert-danger">Error: ' . curl_error($ch) . '</div>';
                    } else {
                        if ($httpStatus === 201 || $httpStatus === 200) {
                            $responseData = json_decode($response, true);
                            // Display only the main fields
                            echo '<div class="alert alert-success">Response Data:</div>';
                            echo '<ul>';
                            echo '<li><strong>Email Addresses:</strong> ' . htmlspecialchars($responseData['email_addresses'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Call Disposition ID:</strong> ' . htmlspecialchars($responseData['call_disposition_id'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Disposition ID:</strong> ' . htmlspecialchars($responseData['disposition_id'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Email:</strong> ' . htmlspecialchars($responseData['email'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Home Phone Number:</strong> ' . htmlspecialchars($responseData['home_phone_number'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Imported Notes:</strong> ' . htmlspecialchars($responseData['imported_notes'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Last Call UUID:</strong> ' . htmlspecialchars($responseData['last_call_uuid'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone 1:</strong> ' . htmlspecialchars($responseData['phone_1'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone 2:</strong> ' . htmlspecialchars($responseData['phone_2'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone 3:</strong> ' . htmlspecialchars($responseData['phone_3'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone 4:</strong> ' . htmlspecialchars($responseData['phone_4'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone 5:</strong> ' . htmlspecialchars($responseData['phone_5'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone Number 1:</strong> ' . htmlspecialchars($responseData['phone_number_1'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone Number 2:</strong> ' . htmlspecialchars($responseData['phone_number_2'] ?? 'N/A') . '</li>';
                            echo '<li><strong>Phone Number 3:</strong> ' . htmlspecialchars($responseData['phone_number_3'] ?? 'N/A') . '</li>';
                            echo '</ul>';
                        } else {
                            echo '<div class="alert alert-danger">Failed to submit data. Response: ' . htmlspecialchars($response) . '</div>';
                        }
                    } 

                    // Close cURL
                    curl_close($ch);
                }

                // Close database connection
                $conn->close();
                ?>

                <form method="POST" action="">
                    <div class="form-group">
                        <label for="home_phone_number">Caller ID</label>
                        <input type="text" class="form-control" id="home_phone_number" name="home_phone_number" placeholder="Enter Caller ID" required>
                    </div>
                    <div class="form-group">
                        <label for="imported_notes">Comments</label>
                        <input type="text" class="form-control" id="imported_notes" name="imported_notes" placeholder="Enter Notes" required>
                    </div>
                    <div class="form-group text-center">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
